Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 22359)
+++ /extensions/Autosize/autosize.inc.php	(revision 22360)
@@ -574,12 +510,4 @@
 			$set_miniature = self::cl_autosize_nofile($set_miniature) ;
 			$set_miniatures= explode("script",$set_miniature);
-			if(preg_match("|noGen|", $DEBUG_autosize, $val)) {
-				if(count($set_miniatures)> 1 )
-					$infos_message .= "PictureDeriv:" . $pictureDeriv. ' miniature:' . cl_print_var( $set_miniature);
-					
-			}else {
-
-
-			} ;
 			$template->append('footer_elements',$set_miniature);
 		}
@@ -601,16 +529,6 @@
 			return ;
 		}
-		if($pictureSelType == $pictureDeriv ) {
-			if(preg_match("|event|", $DEBUG_autosize, $val)) {
-				cl_aff_infos_plus();
-			} ;
-
-		}
-
 		if (defined('GMAPS_VERSION')) $gmaps_function="true";
 		else $gmaps_function="false" ;
-
-
-
 		$template->set_filenames(array('autosize_content_header'=> $file ));
 		$template->assign(	array( AUTOSIZE_PATH,$AUTOSIZE_PATH,
@@ -664,20 +582,11 @@
 		}
 			
-
-		if(preg_match("|vue_cookies|", $DEBUG_autosize, $val)) {
-
-			$pictureSelType=$_COOKIE['picture_sel_type'];
-			$pictureDeriv=$_COOKIE['picture_deriv'];
-			$infos_message .= "cl_autosize_affiche: $pictureSelType  <--> $pictureDeriv \n" ;
-
-		}
-
-		if(preg_match("|test|", $DEBUG_autosize, $val)) {
-			$infos_message .= "#683 <br>cl_autosize_affiche:_COOKIE:"  . cl_print_var($_COOKIE) ;
-			$pictureMap=$_COOKIE['picture_map'];
-			$infos_message .= "<br />SelType:" . $pictureSelType."; pictureDeriv:".$pictureDeriv ."; pictureMap:".$pictureMap;
-
-			self::Fin_php("#676: ".$DEBUG_autosize);
-		}
+	
+		$events->ligne=584;
+    $hasContent=(empty($content) )?'false':'true';
+		//$events->event +=1;
+		$events->function="cl_autosize_affiche";
+		$events->content=$hasContent ;
+		self::AfficheDebug();
 		cl_aff_infos_plus();
 		return $template->parse( 'autosize_content', false);
@@ -855,8 +764,7 @@
 	static public function get_min_max(){
 		global $liste_type,$img_all,$set_miniature,$template,$infos_message,$error_message,$has_pamoorama ;
-		global $theImageWidth,$theImageHeight,$pictureSelType,$pictureDeriv ;
+		global $theMainImageWidth,$theMainImageHeight,$theContainerWidth,$theContainerHeight;
+		global $pictureSelType,$pictureDeriv ;
 		global $DEBUG_autosize;
-
-
 		$current = $template->get_template_vars('current');
 		$liste_type="";
@@ -865,5 +773,4 @@
 		$defined_types = array_keys(ImageStdParams::get_defined_type_map());
 		foreach($defined_types as $type){
-
 			if($type!="Autosize" && $type!="SelMaxi" ){
 				$last_derivative= $type ;
@@ -871,5 +778,4 @@
 				$i++;
 			}
-
 		}
 		;
@@ -897,4 +803,8 @@
 		// Liste mini maxi
 		//=============================================
+		 
+		if(preg_match("|get_infos|", $DEBUG_autosize, $val))
+			$infos_message .= "<br> get_min_max() $theMainImageWidth,$theMainImageHeight,$theContainerWidth,$theContainerHeight <br>" ;
+
 		foreach ($img_all as $img_select){
 
@@ -912,9 +822,7 @@
 				$nofile++ ;
 				if(preg_match("|get_infos|", $DEBUG_autosize, $val))
-					$infos_message .=$nofile ." " ;
-			}
-			if(preg_match("|get_minfos|", $DEBUG_autosize, $val))
-				$infos_message .=$img_url . " " . $max_crop ." -> " . $img_type . " " . print_r($imgWH,true). " <br >";
-
+					$infos_message .= " File: $nofile  <br>" ;
+			}
+				
 			if(file_exists(PHPWG_ROOT_PATH.$img_url)){
 			} // if file
@@ -944,5 +852,5 @@
 			$liste_type[$img_type]=$img_type.",".$img_url.",".$imgWH[0] .",".$imgWH[1] ;
 			if( $img_type==$pictureSelType){
-				if(preg_match("|get_minfos|", $DEBUG_autosize, $val))     $infos_message .= $pictureSelType . " <--> " . $img_type ."<br >";
+				if(preg_match("|get_infos|", $DEBUG_autosize, $val))     $infos_message .= $pictureSelType . " <--> " . $img_type ."<br >";
 
 				$SelType_image->type=$img_type;
@@ -961,14 +869,14 @@
 
 			}
-
-			if($has_pamoorama==true)
-				$test= ($imgWH[1] >  $theImageHeight)  ;
-			else
-				$test= ($imgWH[1] >  $theImageHeight  && $imgWH[0] >  $theImageWidth);
+		 	$test=$imgWH[1] >=  $theMainImageHeight;
+			 if($has_pamoorama!=true){
+				$test=( $imgWH[0] >=  $theMainImageWidth) && $test;		
+			 }
+		 		//===================================================
 			if($theImage_maxi==0)
-				if( $test  ){
-				$theImage_maxi=1;
-				$maxi_image->type =   $img_type;
-				$img_type=$img_select->get_type();
+				if( $test==true  ){
+						$theImage_maxi=1;
+						$maxi_image->type =   $img_type;
+						$img_type=$img_select->get_type();
 				if($img_type=="Original")
 					$maxi_image = $last_image;
@@ -985,5 +893,13 @@
 				$mini_image->url  =  $mini_image->get_path();
 			}
-
+			if(preg_match("|get_infos|", $DEBUG_autosize, $val)){
+				if (($imgWH[1] >= $theMainImageHeight))  $infos_message .="<span style='color:red'>";
+			
+				$infos_message .= ($imgWH[1] >= $theMainImageHeight)."  Maxi:" . $maxi_image->url 
+			                 . " ---------- ImageUrl: $img_url " 
+			                 . $max_crop ." -> " . $img_type . " <br>" 
+			                 	. print_r($imgWH,true). " <br >";
+				if ($test)  $infos_message .="</span >";				
+				}
 		} // for
 		//================================================
@@ -992,5 +908,4 @@
 		$imgSizeWH  =  $img_select->src_image->get_size();
 		$liste_type["Original"]="Original".",".$img_url.",".$imgSizeWH[0] .",".$imgSizeWH[1] ;
-			
 
 		$retour=(object)'' ;
@@ -1024,6 +939,8 @@
 		}
 
-		if(preg_match("|get_infos|", $DEBUG_autosize, $val))
-			$infos_message .=$pictureSelType . " -> " . $retour->type . " : "  . $retour->url  ."<br >";
+		if(preg_match("|get_minfos|", $DEBUG_autosize, $val))
+			$infos_message .= $pictureSelType . " -> " . $retour->type . " : "  .
+		                        $retour->url  .
+		                 cl_print_var($retour->get_size()) .  "<br >";
 
 		return $retour ;
@@ -1049,5 +966,5 @@
 		//=== verification fichiers absents ===
 		global $infos_message,$error_message;
-		global $theImageHeight,$theImageWidth,$theImageLeft,$theImageTop,$windowWidth,$windowHeight,$theMainImageSize;
+		global $theContainerHeight,$theContainerWidth,$theContainerLeft,$theContainerTop,$windowWidth,$windowHeight,$theMainImageSize;
 		global  $pictureDeriv;
 		$ok=false ;
@@ -1119,31 +1036,37 @@
 	****************************/
 	static public  function  get_cookies(){
-		global $pictureDeriv,$pictureSelType,$pictureDeriv,$pictureMap,$DEBUG_autosize;
+		global $pictureDeriv,$pictureSelType,$pictureDeriv,$pictureMap,$conf,$autosize_parametres,$user;		
+		 	$userst		= $user['status']."_enabled" ;
+		 	$userst		=	$autosize_parametres->  $userst ;
+		 	$usertype	= $user['status']."_type" ;
+			$default_size =  $conf['derivative_default_size'];			
+			$usertype = $autosize_parametres->$usertype ;
+			$pictureSelType =$default_size ;
+			if($userst==$user['status']."_enabled" ){
+			
+			}else{
+				if($usertype!="Autosize" && $usertype!="SelMaxi" ){
+				
+				}else if($autosize_parametres->defaut_type=="off"){
+					$pictureSelType = pwg_get_session_var('picture_sel_type',"SelMaxi");
+				}else {
+					$pictureSelType = pwg_get_session_var('picture_sel_type',"Autosize");
+				}
+			}
+
 		if(!isset($_COOKIE['picture_deriv'])){
-			$pictureDeriv= pwg_get_session_var('picture_deriv');
-			$pictureSelType = pwg_get_session_var('picture_sel_type');
-			$pictureMap = pwg_get_session_var('picture_map') | $pictureDeriv;
-		}else{
-			$pictureDeriv = $_COOKIE['picture_deriv'];
-			$pictureSelType = isset( $_COOKIE['picture_sel_type'])?$_COOKIE['picture_sel_type']:$pictureDeriv;
-			$pictureMap =  isset($_COOKIE['picture_map'])?$_COOKIE['picture_map']:$pictureDeriv;
-		}
-		$_COOKIE['picture_sel_type']=$pictureSelType;
-		$_COOKIE['picture_deriv']=$pictureDeriv;
-		$_COOKIE['picture_map']=$pictureMap;
-		if(!isset($_COOKIE['picture_deriv'] )){
-			if(preg_match("|test_1|", $DEBUG_autosize, $val)) {
-				$infos_message .= "not COOKIE['picture_deriv'] -> reload(): <br>";
-				self::Fin_php("#1133 autosize_calcContent:" . $DEBUG_autosize );
-			}
-			unset($_COOKIE['autosize_reload']);
-		}
-		if (!isset($_COOKIE['autosize_reload'])  ){
-			if(preg_match("|test_2|", $DEBUG_autosize, $val)) {
-				$infos_message .= "not COOKIE['autosize_reload'] -> reload(): <br>";
-				self::Fin_php("#1140 autosize_calcContent:" . $DEBUG_autosize);
-			}
-			self::reload("#1142");
-		}
+			$pictureDeriv   = pwg_get_session_var('picture_deriv',$default_size);
+			$pictureSelType = pwg_get_session_var('picture_sel_type',$pictureSelType);
+			$pictureMap     = pwg_get_session_var('picture_map') | $pictureDeriv;
+		}
+	
+			$pictureDeriv   =  isset( $_COOKIE['picture_deriv']) ? $_COOKIE['picture_deriv']:$pictureDeriv;
+			$pictureSelType =  isset( $_COOKIE['picture_sel_type'])?$_COOKIE['picture_sel_type']:$pictureSelType;
+			$pictureMap     =  isset($_COOKIE['picture_map'])?$_COOKIE['picture_map']:$pictureDeriv;
+		self::save_cookies();		
+		if(   !isset($_COOKIE['picture_deriv'] ))
+			  unset($_COOKIE['autosize_reload']);
+		if (!isset($_COOKIE['autosize_reload'])  )
+			self::reload("#1044");			
 	}
 	/***************************
@@ -1152,35 +1075,95 @@
 	static public  function  save_cookies(){
 		global $pictureDeriv,$pictureSelType,$pictureDeriv,$pictureMap;
-
-		pwg_set_session_var('picture_deriv',$pictureDeriv);
+		pwg_set_session_var('picture_deriv',   $pictureDeriv);
 		pwg_set_session_var('picture_sel_type',$pictureSelType);
-		pwg_set_session_var('picture_map',$pictureDeriv);
+		pwg_set_session_var('picture_map',     $pictureDeriv);
 		//============================================================
 		setcookie( 'picture_sel_type',
-		$pictureSelType,
-		time()+5,
-		cookie_path()
+								$pictureSelType,
+								time()+10,
+								cookie_path()
 		);
 		//=============================================================
 		setcookie( 'picture_map',
-		$pictureDeriv,
-		time()+5,
-		cookie_path()
+								$pictureDeriv,
+								time()+10,
+								cookie_path()
 		);
 		//============================================================
 		setcookie( 'picture_deriv',
-		$pictureDeriv,
-		time()+5,
-		cookie_path()
+		           $pictureDeriv,
+		           time()+10,
+		           cookie_path()
 		);
-		$_COOKIE['picture_sel_type']=$pictureSelType;
-		$_COOKIE['picture_deriv']=$pictureDeriv;
-		$_COOKIE['picture_map']=$pictureDeriv;
-	}
-
-	static public function Fin_php($message_){
+		$_COOKIE['picture_sel_type'] = $pictureSelType;
+		$_COOKIE['picture_deriv']    = $pictureDeriv;
+		$_COOKIE['picture_map']      = $pictureDeriv;
+	}
+	//=========================================================
+	static function AfficheDebug(){
+		global $DEBUG_autosize,$infos_message,$error_message,$events,$autosize_parametres;
+		global $theContainerWidth, $theContainerHeight ,$theMainImageWidth,$theMainImageHeight ;
+		if(empty($events)) $events= (object) '';
+		if ( isset($_COOKIE['pwg_id']) ) unset ($_COOKIE['pwg_id']) ;
+		//$infos_message .=  cl_print_var($events) ;
+		if($events->event==2){
+			if(preg_match("|help|", $DEBUG_autosize, $val)){
+				$infos_message .=  "<span style='color:blue'>HELP<br>";
+				$infos_message .="get_infos  <br>";
+				$infos_message .="event <br>";
+				$infos_message .="cookies_x <br>";
+				$infos_message .="session_x<br>";
+				$infos_message .="theMainImage_x -> theMainImage size<br>";
+				$infos_message .="c1_x -> theContainer size<br>";
+				$infos_message .="test_x -> GET,POST,SERVER<br>";
+				$infos_message .="noresize  <br>";
+				$infos_message .="newreload <br>";
+				$infos_message .="parametres <br>";
+				$infos_message .="end_x -> Fin<br>";
+				$infos_message .=  "</span>";
+			}
+			if(preg_match("|cookies|", $DEBUG_autosize, $val)  && !preg_match("|cookies_|", $DEBUG_autosize, $val) )
+				$infos_message .=  "COOKIE:$events->function[$events->event]"  . cl_print_var($_COOKIE) ;
+				
+		if(preg_match("|newreload|", $DEBUG_autosize, $val)) {
+			unset($_COOKIE['autosize_reload']);			 
+			return ;
+		}
+		if(preg_match("|parametres|", $DEBUG_autosize, $val))
+			$infos_message .= "$events->function[$events->event]" .  cl_print_var($autosize_parametres);
+		}
+		if(preg_match("|event|", $DEBUG_autosize, $val)){
+			$infos_message .=  "<span style='color:red'>$events->function</span> [$events->event] $events->content, " ;
+		}
+		if(preg_match("|cookies_$events->event|", $DEBUG_autosize, $val))
+			$infos_message .=  "COOKIE:$events->function[$events->event]"  . cl_print_var($_COOKIE) ;
+		if(preg_match("|session_$events->event|", $DEBUG_autosize, $val))  $infos_message .=  "SESSION:"  . cl_print_var($_SESSION) ;
+		if(preg_match("|theMainImage_$events->event|", $DEBUG_autosize, $val)) {
+			$infos_message .=  "theMainImage:".$theMainImageWidth."x".$theMainImageHeight;
+		}
+
+		if(preg_match("|c1_$events->event|", $DEBUG_autosize, $val)) {
+			$infos_message .="theContainerWidth Infos: " . $theContainerWidth . " x " . $theContainerHeight . " I1: " . $theMainImageWidth ." x ".$theMainImageHeight ;
+		}
+
+		if(preg_match("|test_$events->event|", $DEBUG_autosize, $val)) {
+			$infos_message .= "$events->function: <br>";
+			$infos_message .=  "GET:"  . cl_print_var($_GET) ;
+			$infos_message .= "POST:"  . cl_print_var($_POST) ;
+			$infos_message .= "SERVER:"  . cl_print_var($_SERVER["HTTP_HOST"]) ;
+
+		}
+
+		if(preg_match("|end_$events->function|", $DEBUG_autosize, $val)) {
+			self::Fin_php("#1099: " . $DEBUG_autosize);
+		}
+
+
+	}
+	//=========================================================
+	static public function Fin_php($message_,$reload = true ){
 		global  $infos_message;
-		echo "End :".$message_."<br>";
-		die($infos_message);
+		echo $infos_message."<br>";
+		die("End :".$message_."<br>");
 	}
 	//==================================================
Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 22359)
+++ /extensions/Autosize/include/affiche.php	(revision 22360)
@@ -12,18 +12,10 @@
 $cookies="' x '"; 
 global $imgSizeWH ;
-if(isset($_COOKIE['windowHeight'])){
-$windowHeight=$_COOKIE['windowHeight'];
-$windowWidth=$_COOKIE['windowWidth'];
-}else{
-$windowHeight=600;
-$windowWidth=800;
-}
-global $size ;
-
-if(!isset($imgSizeWH)){
- $imgSizeWH[0]=100;
-$imgSizeWH[1]=100;
-}
- 
+global  	$events ,$windowHeight , $windowWidth;
+global $size ; 
+global $DEBUG_autosize;
+		global $autosize_parametres,$user_status;
+		global  $has_pamoorama,$pictureSelType,$pictureDeriv;
+//===========================================================================
 $size=	array(
             'src_img_h' => $imgSizeWH[1],
@@ -32,11 +24,31 @@
             'window_width' => $windowWidth
           );
-   
-       
+if($imgSizeWH[1]==0){
+          print_r($size);
+          }
+          $ratio=$imgSizeWH[0]/$imgSizeWH[1]; 
+	if(preg_match("|fin_affiche|", $DEBUG_autosize, $val)){
+echo "<pre>";
+echo $DEBUG_autosize.$infos_message."
+";
+print_r(explode(",","$infos_message"));
+print_r($events);
+
+ echo  $pictureDeriv . " " . $pictureDeriv . " " . $pictureSelType;
+
+echo "WH: " . $windowHeight . "x " .$windowWidth;
+print_r($imgSizeWH);
+	print_r($_COOKIE);
+
+
+die();
+}       
+
+
   $my_path = AUTOSIZE_PATH_ABS;
   $theme=$user['theme'];
   
   $user_status = $user['status'] ;
-                   $template->assign( array( 
+  $template->assign( array( 
                    'AUTOSIZE_PATH_ABS' => AUTOSIZE_PATH_ABS,
                    'ROOT_URL' => ROOT_URL,
@@ -56,8 +68,4 @@
     }  
  $autosize_parametres = cl_autosize_Get_Options();
- //===========================================
-$COOKIE_PATH= cookie_path() ;
- global $DEBUG_autosize;
-
           $user_type= get_user_status($user_status)."_type";
           $user_type=  $autosize_parametres->$user_type ;  
@@ -68,4 +76,9 @@
               $ideal_size[1]=$imgSizeWH[1];
           }
+
+ //===========================================
+$COOKIE_PATH= cookie_path() ;
+
+
 
  $slide_show = isset($page['slideshow'])?$page['slideshow']:false;
@@ -85,5 +98,5 @@
             'slide_show' => $slide_show,
              
-            'ratio' =>$imgSizeWH[0]/$imgSizeWH[1] ,   
+            'ratio' =>$ratio ,   
               
             'webmaster_type' => array(
